CURLINFO_RESPONSE_CODE(3)

NAME
CURLINFO_RESPONSE_CODE - last response code

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_RESPONSE_CODE, long *codep);

DESCRIPTION
Pass a pointer to a long to receive the last received HTTP, FTP, SMTP or LDAP (OpenLDAP only) response code. This option was previously known as CURLINFO_HTTP_CODE in libcurl 7.10.7 and earlier. The stored value is zero if no server response code has been received. Note that a proxy's CONNECT response should be read with CURLINFO_HTTP_CONNECTCODE(3) and not this.

PROTOCOLS
This functionality affects ftp, http, ldap and smtp

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      long response_code;
      curl_easy_getinfo(curl, CURLINFO_RESPONSE_CODE, &response_code);
    }
    curl_easy_cleanup(curl);
  }
}

NOTES
The former name, CURLINFO_HTTP_CODE, was added in 7.4.1. Support for SMTP responses added in 7.25.0, for OpenLDAP in 7.81.0.

AVAILABILITY
Added in curl 7.10.8

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_HTTP_CONNECTCODE(3), curl_easy_getinfo(3), curl_easy_setopt(3)